## pytde 14.1.4

=== debian/changelog ===
pytde (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 03 Apr 2025 03:33:50 +0200
