## pytde 14.1.5~pre2

=== debian/changelog ===
pytde (4:14.1.5~pre2-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for caf4e2d36189e005a5e5a79a589f9ca4bdca262f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Aug 2025 14:30:10 +0200
