## pytde 14.1.5

=== debian/changelog ===
pytde (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Aug 2025 14:30:10 +0200
