## pytde 14.1.6~pre1

=== debian/changelog ===
pytde (4:14.1.6~pre1-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for 4881d093904abbea91faa8c62fa47a129721a306
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:18:20 +0100
