## pytde 14.1.6~pre2

=== debian/changelog ===
pytde (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 564ac52285f4c6a42d2187a8d083d0859286610d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:50 +0100
