## pytde 14.1.6~pre3

=== debian/changelog ===
pytde (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a6b6018fc3dac59629512c0a97b163c3542d3dcd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:20:30 +0100
