## pytde 14.2.0~pre48

=== debian/changelog ===
pytde (4:14.2.0~pre48-0raspbian12.0.0+3) raspbian-bookworm; urgency=low

  * Automated git build for 524103b1ece506c8a32fa128f3ca77c6b15824fb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Aug 2025 11:36:47 +0200
