=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ricardo Javier Cardenes Medina <rcardenes@debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9~), libtqtinterface-dev, dh-python, python3-all-dev, python3-all-dbg, python3-sip-tqt, python3-sip-tqt-dev, python3-sip-tqt-dbg, pytqt-dev, python3-pytqt-dbg, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 10~), libtqt3-mt-dev, dh-python, python3-all-dev, python3-all-dbg, python3-sip-tqt, python3-sip-tqt-dev, python3-sip-tqt-dbg, pytqt-dev, python3-pytqt-dbg, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://www.riverbankcomputing.co.uk/pytde/index.php
