## pytde 14.2.0~pre49

=== debian/changelog ===
pytde (4:14.2.0~pre49-0ubuntu26.04.0+3~a) resolute; urgency=low

  * Automated git build for 2d25c4d6955806e8d429c2cd37fbf6db0499017e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:58 +0100
