## pytde 14.2.0~pre50

=== debian/changelog ===
pytde (4:14.2.0~pre50-0ubuntu26.04.0+3~a) resolute; urgency=low

  * Automated git build for 26662cd8c763f9707676ced88fb324d421b84d79
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:14:20 +0100
