## pytde 14.2.0~pre51

=== debian/changelog ===
pytde (4:14.2.0~pre51-0ubuntu26.04.0+3~a) resolute; urgency=low

  * Automated git build for cf6d1d4ac2676801e8cf19d8bbbb423bab4d6e5c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#pytde

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:15:20 +0100
